%define name    scrollkeeper
%define version 0.2
%define release 1mdk
%define major   0

Summary:        ScrollKeeper is a cataloging system for documentation on open systems
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        ftp://scrollkeeper.sourceforge.net/pub/scrollkeeper/%{name}-%{version}.tar.bz2
# (fc) 0.1.4-1mdk correct location of localstatedir
Patch0:			scrollkeeper-0.2-localstatedir.patch.bz2
License:      LGPL
Group:          Publishing
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://scrollkeeper.sourceforge.net/
BuildRequires:  libxml-devel
PreReq:			lib%{name}%{major} = %{version}

%description 
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It will also be able to
communicate with catalog servers on the Net to search for documents
which are not on the local system.

%package -n lib%{name}%{major}
Summary: Libraries for scrollkeeper.
Group: System/Libraries

%description -n lib%{name}%{major}
These are the libraries for Scrollkeeper.

%package -n lib%{name}%{major}-devel
Summary:	Includes and more to develop scrollkeeper applications
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	lib%{name}%{major} = %{version}
Provides: 	lib%{name}-devel = %{version}

%description -n lib%{name}%{major}-devel
Libraries, include files and other resources you can use to develop Scrollkeeper
applications.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p 1 -b .localstatedir

#needed by patch0
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


pushd ${RPM_BUILD_ROOT}%{_datadir}/scrollkeeper/Templates
rm -rf en && ln -sf C en
rm -rf no* && ln -sf nb no && ln -sf nn no_NY
for lang in bg_BG bg_BG.cp1251 de_AT en_AU en_GB en_SE en_UK en_US es_DO \
         es_ES es_GT es_HN es_MX es_PA es_PE es_SV ja_JP.eucJP pt_PT \
         sr_YU sv_SE zh_CN zh_CN.GB2312 zh_TW zh_TW.Big5 ; do
    l=${lang%_*}
    rm -rf $lang
    ln -sf $l $lang
done 
popd

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING COPYING-DOCS AUTHORS README ChangeLog NEWS INSTALL
%doc -P doc/scrollkeeper_manual/C/*.sgml
%{_datadir}/omf
%{_bindir}/*
%{_mandir}/man8/*
%{_datadir}/scrollkeeper

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%post
if [ $1 = 1 ]; then
  # There was previously no SK installed.
  # ie. make a new %{_localstatedir}/scrollkeeper.
	mkdir %{_localstatedir}/scrollkeeper
	scrollkeeper-update -p %{_localstatedir}/scrollkeeper
fi
if [ $1 = 2 ]; then
  # There was previously a SK installed.
  #  ie. don't make a new %{_localstatedir}/scrollkeeper.
  # However, version 0.0.4 of SK did not properly create this
  # directory if a previous SK was installed, so just to be sure...
  rm -rf %{_localstatedir}/scrollkeeper
  mkdir %{_localstatedir}/scrollkeeper
  scrollkeeper-update -p %{_localstatedir}/scrollkeeper
fi

%postun
if [ $1 = 0 ]; then
  # SK is being removed, not upgraded.  
  #  ie. erase {localstatedir}/lib/scrollkeeper.
  rm -rf %{_localstatedir}/scrollkeeper
fi
#if [ $1 = 1 ]; then
#  # SK is being upgraded.  Do not erase %{_localstatedir}/scrollkeeper.
#fi

%changelog
* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- Release 0.2
- Regenerate patch 0
- Libification

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.4-1mdk
- from Alexander Skwar <ASkwar@Linux-Mandrake.com> 
	- New release
	- regenerate patch 0

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.2-1mdk
- First Mandrake release

* Tue Feb 15 2001 Dan Mueth <dan@eazel.com>
- added line to include the translations .mo file

* Tue Feb 06 2001 Dan Mueth <dan@eazel.com>
- fixed up pre and post installation scripts

* Tue Feb 06 2001 Laszlo Kovacs <laszlo.kovacs@sun.com>
- added all the locale directories and links for the template
  content list files

* Wed Jan 17 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- converted to scrollkeeper.spec.in

* Sat Dec 16 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- help files added

* Fri Dec 8 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- various small fixes added

* Thu Dec 7 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- fixing localstatedir problem
- adding postinstall and postuninstall scripts

* Tue Dec 5 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- adding COPYING, AUTHORS, etc
- fixed localstatedir for the OMF files

* Fri Nov 10 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- Initial spec file created.
